1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

PHP 5.1.2 -> 5.2.x

Discussion in 'Plesk for Linux - 8.x and Older' started by exmonkey, Aug 13, 2008.

  1. exmonkey

    exmonkey Guest

    0
     
    Hi - I have just purchased a vps package (from Webfusion) which comes with Plesk8.6 ubuntu with php 5.1.2

    However, for the magento install I am planning, I need PHP 5.2 or above - Can anyone let me know how to upgrade PHP?

    Cheers
     
  2. breun

    breun Golden Pleskian

    29
     
    Joined:
    Jun 28, 2005
    Messages:
    1,647
    Likes Received:
    0
    For Debian and Ubuntu I believe you can use the third-party Dotdeb repository: http://dotdeb.org/
     
  3. exmonkey

    exmonkey Guest

    0
     
    which would be great if I actually knew what I was doing - I was hoping someone could point me to a step by step guide entitled "How to upgrade PHP on pleask8.6 for idiots" :)
     
  4. breun

    breun Golden Pleskian

    29
     
    Joined:
    Jun 28, 2005
    Messages:
    1,647
    Likes Received:
    0
    Plesk is not involved in this upgrade. It's just like upgrading PHP on any Ubuntu system. A Plesk-specific howto wouldn't make much sense, you want an Ubuntu-specific howto. Different Linux distributions have different package managers and different repositories. You're probably better off asking the Ubuntu community for help on this.

    I suggest you at least read up on the package management system for your OS if you're going to administer a server.
     
  5. exmonkey

    exmonkey Guest

    0
     
    update: I sould have added - I did already find this site, blundered my way through an install and now I have had to reinstall Plesk!
     
Loading...